XennoBB 1.0.5/1.0.6/2.1/2.2 - 'profile.php' Directory Traversal

EDB-ID:

28364




Platform:

PHP

Date:

2006-08-09


Become a Certified Penetration Tester

Enroll in Penetration Testing with Kali Linux and pass the exam to become an Offensive Security Certified Professional (OSCP). All new content for 2020.

GET CERTIFIED

source: https://www.securityfocus.com/bid/19446/info

XennoBB is prone to a directory-traversal vulnerability because it fails to properly sanitize user-supplied input. 

An attacker can exploit this vulnerability to retrieve arbitrary files from the vulnerable system in the context of the affected application. Information obtained may aid in further attacks.

XennoBB 2.1.0 and earlier are vulnerable to this issue; other versions may also be affected.

http://www.example.com/profile.php?action=avatar_gallery&id={your registered user ID here}/category=../../general/